Page MenuHome

Blender UI not taking full screen on launch
Closed, DuplicatePublic

Description

System Information
Operating system: Mac Mojave
Graphics card: see attached system info.txt

Blender Version
Broken:
version: 2.80 (sub 35), branch: blender2.8, commit date: 2018-12-03 23:39, hash: 1b6a394d862, type: Release
build date: 2018-12-04, 01:09:28 - Just checked & this bug is still active on latest nightly build of Jan 19 too.

platform: Darwin

Short description of error
Starting blender on Mac laptop and the UI does not fill the app window. Please see the attached screenshot.

Also, try to click around in that black empty area to use the UI and highlight things on the small area. It's really wierd. It makes 2.8 unusable on the laptop. When I switch to a big screen, the UI snaps to the bigger window and is "fixed." Thus, it is only possible to work in 2.8 when I'm tethered to the bigger monitor.

Exact steps for others to reproduce the error

  1. Start blender on 13.3" Mac laptop
  2. The screen does not fill as in the attached screenshot.
  3. Click around in the black area and watch the "mini-UI" highlight choices and move objects.
  4. Connect a laptop to a bigger monitor and move the blender window to the larger screen.
  5. The blender window should snap into the bigger app window.

Could not find this in the list of open or closed bugs. Hope it is helpful.

Details

Type
Bug

Event Timeline

William Reynish (billreynish) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.EditedJan 19 2019, 5:44 PM

Cannot reproduce that here.

Can you please try with an up to date build? Always test with the latest build, otherwise we will keep getting bug reports for things that were already fixed.

Thanks.

  • Does this only happen when you have an external monitor attached to your Mac laptop?
  • Can you try with it detached?
  • Is your external monitor retina resolution or not?
  • And is your laptop retina?
  • Are you running with the default screen resolution?
dr d (snakeblade) added a comment.EditedJan 19 2019, 6:14 PM

Hi William - yes, just tested on latest nightly build - Jan 19th available today and it's still happening.

Does not happen when I use app on big monitor. Happens whether I have attached monitor or not.

Yes, laptop is retina
External monitor is detached

Monitor is beyond retina
Running with defaults yes

Thanks for replying so quickly too. You all are awesome. Please see attached. I am also checking forums on Discord too. Thanks again. I am a UX person so am happy to help test 2.8.

Well, I can't reproduce it here - I have a 13.3" 2017 Macbook Pro without touch bar. For reference, which exact model are you on? The system-info doesn't tell us that.

Does resizing the window, or going to full screen mode fix the issue?

dr d (snakeblade) added a comment.EditedJan 19 2019, 6:30 PM

Thanks, again, sometimes it will randomly snap into the right size, but it hasn't done so in the last 20 restarts of Blender. I've restarted the machine too.

I am going to try another way to reproduce when I get to my studio in 20 minutes or so. I have a late 2015 13.3", obviously no touch bar, but everything works great. I have max memory - largest specs for this work too.

Checking Discord forums for others with the same issue too. I'm a UX person so also happy to help.

William Reynish (billreynish) raised the priority of this task from Needs Information from User to Normal.Jan 19 2019, 6:37 PM

Thanks for the info, but might be hard to solve if we can't reproduce. May to specific to a specific GPU.

You you keep resizing the window, see if it will then snap to the correct size.

Ok, you are correct. This is a scaling and resolution issue between the monitors. The confusing part is that it happens on the laptop when I am not attached to the bigger monitor. To review:
Both displays are running at default. However, this big monitor is older than I thought: its max resolution is 1920 x 1200.

Here is what happens when I am in the studio attached to the big monitor.

  1. Graphics card on this MacBook Pro is Intel Iris Graphics 6100 1536 MB graphics
  2. I start Blender on the big monitor Dell 24". It opens on MBP with that funky scaled screen I've shown in previous pics.
  3. I drag Blender to the big monitor and the screen resizes properly and takes up the whole app window.
  4. I can then drag the Blender window back to the laptop and it is properly sized and snaps to the whole app window.
  5. If I detach from the big monitor at that point, the app remains properly sized and snapped to the laptop screen window.
  6. Also, if I put the laptop to sleep and wake it up, attached the window snaps to the correct size no matter whether it is showing on the big or small monitor. Unattached, without the big monitor, the screen is in that funky states of being reduced in the app window.

So, this may be an issue for a small number of users and I realize you can't fix it if you cannot reproduce it. I build software too. Thanks for helping me troubleshoot the problem. Now I know what to do if I want to work on the laptop after I leave the studio. ;-)

Yes, I suspected it could be an issue with two monitors with different retina-ness. Blender may become confused in this case.

It could also be an issue that happens because Blender is trying to relaunch to a state where it thinks it will go to your external display, but because it's disconnected, it scales wrongly on your built-in display. Something like that.

It still does look like a bug, but as you say, one that seems to appear if you are using a specific hardware setup. I'll leave this report open for now - perhaps other developers can test with this kind of setup to try and reproduce it.